# $Revision: 1.38 $, $Date: 2004/05/07 00:32:01 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	GD
%define	pnam	TextUtil
Summary:	GD::Text - text utilities for use with GD
Summary(pl):	GD::Text - narzdzia do obrbki tekstu do uycia z GD
Name:		perl-GD-TextUtil
Version:	0.86
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	941ad06eadc86b47f3a32da405665c41
Patch0:		%{name}-defaultttfdir.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-GD
BuildRequires:	rpm-perlprov >= 4.1-13
Requires(post,postun):	fontpostinst
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a font-independent way of dealing with text in
GD, for use with the GD::Text::* modules and GD::Graph.

%description -l pl
Modu ten udostpnia niezalene od funtu narzdzia do obrbki tekstu
w GD. Do uytku z moduami GD::Text::* i GD::Graph.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_fontsdir}/TTF}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install *.ttf $RPM_BUILD_ROOT%{_fontsdir}/TTF

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst TTF

%postun
fontpostinst TTF

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/GD/Text.pm
%{perl_vendorlib}/GD/Text
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%{_fontsdir}/TTF/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GD-TextUtil.spec,v $
Revision 1.38  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.37  2004/05/06 18:09:37  ankry
- fixed perl-devel BR

Revision 1.36  2004/04/24 23:23:38  ankry
- typo, dir and tests added

Revision 1.35  2004/04/21 07:49:46  ankry
- typos in commitlog fixed

Revision 1.34  2004/04/21 07:47:58  ankry
- summary/description/license fixes
- added font used by example
- patch for using default font path by default

Revision 1.33  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.32  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/06/29 14:13:21  migo
- up to 0.86

Revision 1.30  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/24 20:31:53  radek
- use the __perl macro

Revision 1.25  2003/02/21 23:41:32  ankry
- autoupdated to 0.85

Revision 1.24  2003/02/18 22:56:23  ankry
- autoupdated to 0.84

Revision 1.23  2003/02/18 15:32:37  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/07/20 23:09:19  qboosh
- %%{perl_sitelib}/GD dir moved to perl-GD; release 2

Revision 1.21  2002/07/20 15:03:58  qboosh
- updated to 0.83

Revision 1.20  2002/07/13 15:39:20  qboosh
- new %%doc, cosmetics
- added %%{perl_sitelib}/GD dir to package - GD::TextUtil is common
  requirement for all other packages that place files in this dir
- release 3

Revision 1.19  2002/07/10 08:47:24  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/03/03 22:07:38  marcus
- rel.2.

Revision 1.16  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/09 11:04:25  kloczek
- updated to 0.82.

Revision 1.14  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:09:27  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/23 14:21:52  kloczek
- updated to 0.80.

Revision 1.9  2001/01/06 08:12:49  kloczek
- typo.

Revision 1.8  2001/01/06 08:10:23  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/09/05 07:24:20  kloczek
- updated to 0.75.

Revision 1.6  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 23:36:15  pius
- initial release
